import { z } from 'zod';
export declare const ReleaseSchema: z.ZodObject<{
    name: z.ZodString;
    tag_name: z.ZodString;
    body: z.ZodString;
    prerelease: z.ZodBoolean;
    published_at: z.ZodCatch<z.ZodNullable<z.ZodEffects<z.ZodUnknown, import("../../../util/timestamp").Timestamp, unknown>>>;
}, "strip", z.ZodTypeAny, {
    name: string;
    prerelease: boolean;
    body: string;
    published_at: import("../../../util/timestamp").Timestamp | null;
    tag_name: string;
}, {
    name: string;
    prerelease: boolean;
    body: string;
    tag_name: string;
    published_at?: unknown;
}>;
export declare const ReleasesSchema: z.ZodArray<z.ZodObject<{
    name: z.ZodString;
    tag_name: z.ZodString;
    body: z.ZodString;
    prerelease: z.ZodBoolean;
    published_at: z.ZodCatch<z.ZodNullable<z.ZodEffects<z.ZodUnknown, import("../../../util/timestamp").Timestamp, unknown>>>;
}, "strip", z.ZodTypeAny, {
    name: string;
    prerelease: boolean;
    body: string;
    published_at: import("../../../util/timestamp").Timestamp | null;
    tag_name: string;
}, {
    name: string;
    prerelease: boolean;
    body: string;
    tag_name: string;
    published_at?: unknown;
}>, "many">;
