import { z } from 'zod';
export declare const GlasskubePackageVersions: z.ZodObject<{
    latestVersion: z.ZodString;
    versions: z.ZodArray<z.ZodObject<{
        version: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        version: string;
    }, {
        version: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    versions: {
        version: string;
    }[];
    latestVersion: string;
}, {
    versions: {
        version: string;
    }[];
    latestVersion: string;
}>;
export declare const GlasskubePackageManifest: z.ZodObject<{
    references: z.ZodOptional<z.ZodArray<z.ZodObject<{
        label: z.ZodString;
        url: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        url: string;
        label: string;
    }, {
        url: string;
        label: string;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    references?: {
        url: string;
        label: string;
    }[] | undefined;
}, {
    references?: {
        url: string;
        label: string;
    }[] | undefined;
}>;
