import type { GiteaHttp } from '../../../util/http/gitea';
import type { Pr } from '../types';
export declare class GiteaPrCache {
    private repo;
    private readonly ignorePrAuthor;
    private author;
    private cache;
    private items;
    private constructor();
    static forceSync(): void;
    private static init;
    private getPrs;
    static getPrs(http: GiteaHttp, repo: string, ignorePrAuthor: boolean, author: string): Promise<Pr[]>;
    private setPr;
    static setPr(http: GiteaHttp, repo: string, ignorePrAuthor: boolean, author: string, item: Pr): Promise<void>;
    private reconcile;
    private sync;
    /**
     * Ensure the pr cache starts with the most recent PRs.
     * JavaScript ensures that the cache is sorted by PR number.
     */
    private updateItems;
}
